import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root'
})
export class LoggerService {
  log(message: string) {
    const timestamp = new Date().toISOString();
    console.log(`[LOG ${timestamp}] ${message}`);
  }

  warn(message: string) {
    const timestamp = new Date().toISOString();
    console.warn(`[WARN ${timestamp}] ${message}`);
  }

  error(message: string) {
    const timestamp = new Date().toISOString();
    console.error(`[ERROR ${timestamp}] ${message}`);
  }
}